# pandas.Series.multiply

Series.multiply(other, level=None, fill_value=None, axis=0)

  Return Multiplication of series and other, element-wise (binary operator mul).

  Equivalent to `series * other`, but with support to substitute a fill_value for missing data in either one of the inputs.

  Parameters
    other Series or scalar value
    fill_value None or float value, default None (NaN)

      Fill existing missing (NaN) values, and any new element needed for successful Series alignment, with this value before computation. If data in both corresponding Series locations is missing the result of filling (at that location) will be missing.

    level int or name

      Broadcast across a level, matching Index values on the passed MultiIndex level.

  Returns
    Series

      The result of the operation.

  See also

  `Series.rmul`

    Reverse of the Multiplication operator, see Python documentation for more details.

  Examples

      >>> a = pd.Series([1, 1, 1, np.nan], index=['a', 'b', 'c', 'd'])
      >>> a
      a    1.0
      b    1.0
      c    1.0
      d    NaN
      dtype: float64
      >>> b = pd.Series([1, np.nan, 1, np.nan], index=['a', 'b', 'd', 'e'])
      >>> b
      a    1.0
      b    NaN
      d    1.0
      e    NaN
      dtype: float64
      >>> a.multiply(b, fill_value=0)
      a    1.0
      b    0.0
      c    0.0
      d    0.0
      e    NaN
      dtype: float64